<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku transparam.hh</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('transparam_8hh.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#enum-members">Wyliczenia</a> &#124;
<a href="#func-members">Funkcje</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja pliku transparam.hh</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;termios.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla transparam.hh:</div>
<div class="dyncontent">
<div class="center"><img src="transparam_8hh__incl.png" border="0" usemap="#atransparam_8hh" alt=""/></div>
<map name="atransparam_8hh" id="atransparam_8hh">
<area shape="rect" title=" " alt="" coords="5,5,109,31"/>
<area shape="rect" title=" " alt="" coords="20,79,95,104"/>
<area shape="poly" title=" " alt="" coords="60,31,60,65,55,65,55,31"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
Ten wykres pokazuje, które pliki bezpośrednio lub pośrednio załączają ten plik:</div>
<div class="dyncontent">
<div class="center"><img src="transparam_8hh__dep__incl.png" border="0" usemap="#atransparam_8hhdep" alt=""/></div>
<map name="atransparam_8hhdep" id="atransparam_8hhdep">
<area shape="rect" title=" " alt="" coords="269,5,373,31"/>
<area shape="rect" href="_serial_port_8hpp.html" title="Definicja klasy SerialPort." alt="" coords="142,79,245,104"/>
<area shape="poly" title=" " alt="" coords="290,40,216,81,213,76,287,35"/>
<area shape="rect" href="odbieranie_8cpp.html" title=" " alt="" coords="269,79,374,104"/>
<area shape="poly" title=" " alt="" coords="324,44,324,79,319,79,319,44"/>
<area shape="rect" href="transparam_8cpp.html" title=" " alt="" coords="398,79,509,104"/>
<area shape="poly" title=" " alt="" coords="356,35,433,76,430,81,353,39"/>
<area shape="rect" href="_main_window_8hpp.html" title="Definicja klasy MainWindow." alt="" coords="65,152,185,177"/>
<area shape="poly" title=" " alt="" coords="175,116,138,154,134,150,171,112"/>
<area shape="rect" href="_serial_port_8cpp.html" title="Definicje metod klasy SerialPort." alt="" coords="210,152,313,177"/>
<area shape="poly" title=" " alt="" coords="216,112,252,150,248,154,212,116"/>
<area shape="rect" href="_main_window_8cpp.html" title="Definicje metod klasy MainWindow." alt="" coords="5,225,125,251"/>
<area shape="poly" title=" " alt="" coords="109,190,77,227,73,223,105,186"/>
<area shape="rect" href="main_8cpp.html" title=" " alt="" coords="149,225,224,251"/>
<area shape="poly" title=" " alt="" coords="146,186,179,223,175,227,142,190"/>
</map>
</div>
</div>
<p><a href="transparam_8hh_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Wyliczenia</h2></td></tr>
<tr class="memitem:a8ff99acb992470a0e45a2ab0cb77b237"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237">Type4Parity</a> { <br />
&#160;&#160;<a class="el" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237a34382ce4bb40c1824bcca93bc234ab6b">P_None</a>
, <a class="el" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237ad9cecbcfe646fb2ce2698ba1daf23d62">P_Even</a>
, <a class="el" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237ac4d5e9249b497ebae3148a6545300842">P_Odd</a>
, <a class="el" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237a2457874c281d6ec0f92dc6e61f79587d">P_Mark</a>
, <br />
&#160;&#160;<a class="el" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237a016cb8ef0f82bf2ea07e6cf6c0e63882">P_Space</a>
<br />
 }</td></tr>
<tr class="memdesc:a8ff99acb992470a0e45a2ab0cb77b237"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rodzaj kontroli parzystości.  <a href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237">Więcej...</a><br /></td></tr>
<tr class="separator:a8ff99acb992470a0e45a2ab0cb77b237"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaf70130106e45f329823bb7383b288f"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288f">Type4BaudRate</a> { <br />
&#160;&#160;<a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa47289a31fc82b611270f1f065dd29374">B_0</a> = B0
, <a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa9401cafe870d964773dd29c41dd9725e">B_50</a> = B50
, <a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa677772bcffc885d68682ea2e57a96369">B_75</a> = B75
, <a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fad6c9bbc6b9d05dfce96cc12c70190b53">B_110</a> = B110
, <br />
&#160;&#160;<a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa6741f347183b1cc2b8e40eb83a2555c2">B_134</a> = B134
, <a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa0005d784524361a5cdebe194bc9a7e95">B_150</a> = B150
, <a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa510049aa4782215852025c13fd141efc">B_200</a> = B200
, <a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fabd0f221fb68bcb918831d4eb9d5e2e53">B_300</a> = B300
, <br />
&#160;&#160;<a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288faad53e0d4baaafd1d93514a739f25d89e">B_600</a> = B600
, <a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fae3f5102fc8661e8b758980d442c11b8e">B_1200</a> = B1200
, <a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa3a49add2b8f9e87593226dc34583f5d0">B_1800</a> = B1800
, <a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa2898cf1c1e6cdb0b7fc6fff5c142c4ba">B_2400</a> = B2400
, <br />
&#160;&#160;<a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa27a92d1ac239b3d44e3a8fc27b6b039f">B_4800</a> = B4800
, <a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fae7bf4de131e0edb182e39d87d3027018">B_9600</a> = B9600
, <a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa4ecf44e3017ea2b99239d127250289d1">B_19200</a> = B19200
, <a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288faba0b508458bf2a54509bb8a20478ca93">B_38400</a> = B38400
, <br />
&#160;&#160;<a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa499f4f816c2ffec705d374891bc6eb51">B_57600</a> = B57600
, <a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fae5aff27725ed62df17a9d52c9435d0d5">B_115200</a> = B115200
, <a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fa9ec9266a076b069458fcabcac21f748f">B_230400</a> = B230400
<br />
 }</td></tr>
<tr class="memdesc:aaaf70130106e45f329823bb7383b288f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zestaw ustawień szybkości transmisji.  <a href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288f">Więcej...</a><br /></td></tr>
<tr class="separator:aaaf70130106e45f329823bb7383b288f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad43ec836453f31ea6160c8ec311a9d90"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90">Type4CharacterSize</a> { <a class="el" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90ae8764489eb63e8cfa4e79d91e26f90a3">CS_5</a> = CS5
, <a class="el" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90a1625f022daa414fd47e25c90eff82460">CS_6</a> = CS6
, <a class="el" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90a83bba2f5593a571fa5bcadb504f035cd">CS_7</a> = CS7
, <a class="el" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90aca6d77a969cda9a7d5b3764645230ca8">CS_8</a> = CS8
 }</td></tr>
<tr class="memdesc:ad43ec836453f31ea6160c8ec311a9d90"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pozwala na ustawienie rozmiaru transmitowanego znaku.  <a href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90">Więcej...</a><br /></td></tr>
<tr class="separator:ad43ec836453f31ea6160c8ec311a9d90"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Funkcje</h2></td></tr>
<tr class="memitem:adae5ef433c18e71af7b1a18cd4c107e6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="transparam_8hh.html#adae5ef433c18e71af7b1a18cd4c107e6">SetTransParam</a> (int PortDesc, <a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288f">Type4BaudRate</a> BRate=<a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288fae5aff27725ed62df17a9d52c9435d0d5">B_115200</a>, <a class="el" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237">Type4Parity</a> Parity=<a class="el" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237a34382ce4bb40c1824bcca93bc234ab6b">P_None</a>, <a class="el" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90">Type4CharacterSize</a> CSize=<a class="el" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90aca6d77a969cda9a7d5b3764645230ca8">CS_8</a>)</td></tr>
<tr class="memdesc:adae5ef433c18e71af7b1a18cd4c107e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ustawianie parametrów transmisji.  <br /></td></tr>
<tr class="separator:adae5ef433c18e71af7b1a18cd4c107e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Dokumentacja typów wyliczanych</h2>
<a id="a8ff99acb992470a0e45a2ab0cb77b237" name="a8ff99acb992470a0e45a2ab0cb77b237"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ff99acb992470a0e45a2ab0cb77b237">&#9670;&#160;</a></span>Type4Parity</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237">Type4Parity</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Elementy typu określają rodzaj kontroli parzystości dla transmisji szeregowej. </p>
<table class="fieldtable">
<tr><th colspan="2">Wartości wyliczeń</th></tr><tr><td class="fieldname"><a id="a8ff99acb992470a0e45a2ab0cb77b237a34382ce4bb40c1824bcca93bc234ab6b" name="a8ff99acb992470a0e45a2ab0cb77b237a34382ce4bb40c1824bcca93bc234ab6b"></a>P_None&#160;</td><td class="fielddoc"><p>Brak kontroli parzystości </p>
</td></tr>
<tr><td class="fieldname"><a id="a8ff99acb992470a0e45a2ab0cb77b237ad9cecbcfe646fb2ce2698ba1daf23d62" name="a8ff99acb992470a0e45a2ab0cb77b237ad9cecbcfe646fb2ce2698ba1daf23d62"></a>P_Even&#160;</td><td class="fielddoc"><p>Pozytywna kontrola parzystości </p>
</td></tr>
<tr><td class="fieldname"><a id="a8ff99acb992470a0e45a2ab0cb77b237ac4d5e9249b497ebae3148a6545300842" name="a8ff99acb992470a0e45a2ab0cb77b237ac4d5e9249b497ebae3148a6545300842"></a>P_Odd&#160;</td><td class="fielddoc"><p>Negatywna kontrola parzystości </p>
</td></tr>
<tr><td class="fieldname"><a id="a8ff99acb992470a0e45a2ab0cb77b237a2457874c281d6ec0f92dc6e61f79587d" name="a8ff99acb992470a0e45a2ab0cb77b237a2457874c281d6ec0f92dc6e61f79587d"></a>P_Mark&#160;</td><td class="fielddoc"><p>Bit parzystości zawsze 1 </p>
</td></tr>
<tr><td class="fieldname"><a id="a8ff99acb992470a0e45a2ab0cb77b237a016cb8ef0f82bf2ea07e6cf6c0e63882" name="a8ff99acb992470a0e45a2ab0cb77b237a016cb8ef0f82bf2ea07e6cf6c0e63882"></a>P_Space&#160;</td><td class="fielddoc"><p>Bit parzystości zawsze 0 </p>
</td></tr>
</table>

<p class="definition">Definicja w linii <a class="el" href="transparam_8hh_source.html#l00012">12</a> pliku <a class="el" href="transparam_8hh_source.html">transparam.hh</a>.</p>

</div>
</div>
<a id="aaaf70130106e45f329823bb7383b288f" name="aaaf70130106e45f329823bb7383b288f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaaf70130106e45f329823bb7383b288f">&#9670;&#160;</a></span>Type4BaudRate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288f">Type4BaudRate</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Typ zawiera zestaw możliwych prędkości transmisji szeregowej. </p>
<table class="fieldtable">
<tr><th colspan="2">Wartości wyliczeń</th></tr><tr><td class="fieldname"><a id="aaaf70130106e45f329823bb7383b288fa47289a31fc82b611270f1f065dd29374" name="aaaf70130106e45f329823bb7383b288fa47289a31fc82b611270f1f065dd29374"></a>B_0&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aaaf70130106e45f329823bb7383b288fa9401cafe870d964773dd29c41dd9725e" name="aaaf70130106e45f329823bb7383b288fa9401cafe870d964773dd29c41dd9725e"></a>B_50&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aaaf70130106e45f329823bb7383b288fa677772bcffc885d68682ea2e57a96369" name="aaaf70130106e45f329823bb7383b288fa677772bcffc885d68682ea2e57a96369"></a>B_75&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aaaf70130106e45f329823bb7383b288fad6c9bbc6b9d05dfce96cc12c70190b53" name="aaaf70130106e45f329823bb7383b288fad6c9bbc6b9d05dfce96cc12c70190b53"></a>B_110&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aaaf70130106e45f329823bb7383b288fa6741f347183b1cc2b8e40eb83a2555c2" name="aaaf70130106e45f329823bb7383b288fa6741f347183b1cc2b8e40eb83a2555c2"></a>B_134&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aaaf70130106e45f329823bb7383b288fa0005d784524361a5cdebe194bc9a7e95" name="aaaf70130106e45f329823bb7383b288fa0005d784524361a5cdebe194bc9a7e95"></a>B_150&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aaaf70130106e45f329823bb7383b288fa510049aa4782215852025c13fd141efc" name="aaaf70130106e45f329823bb7383b288fa510049aa4782215852025c13fd141efc"></a>B_200&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aaaf70130106e45f329823bb7383b288fabd0f221fb68bcb918831d4eb9d5e2e53" name="aaaf70130106e45f329823bb7383b288fabd0f221fb68bcb918831d4eb9d5e2e53"></a>B_300&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aaaf70130106e45f329823bb7383b288faad53e0d4baaafd1d93514a739f25d89e" name="aaaf70130106e45f329823bb7383b288faad53e0d4baaafd1d93514a739f25d89e"></a>B_600&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aaaf70130106e45f329823bb7383b288fae3f5102fc8661e8b758980d442c11b8e" name="aaaf70130106e45f329823bb7383b288fae3f5102fc8661e8b758980d442c11b8e"></a>B_1200&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aaaf70130106e45f329823bb7383b288fa3a49add2b8f9e87593226dc34583f5d0" name="aaaf70130106e45f329823bb7383b288fa3a49add2b8f9e87593226dc34583f5d0"></a>B_1800&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aaaf70130106e45f329823bb7383b288fa2898cf1c1e6cdb0b7fc6fff5c142c4ba" name="aaaf70130106e45f329823bb7383b288fa2898cf1c1e6cdb0b7fc6fff5c142c4ba"></a>B_2400&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aaaf70130106e45f329823bb7383b288fa27a92d1ac239b3d44e3a8fc27b6b039f" name="aaaf70130106e45f329823bb7383b288fa27a92d1ac239b3d44e3a8fc27b6b039f"></a>B_4800&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aaaf70130106e45f329823bb7383b288fae7bf4de131e0edb182e39d87d3027018" name="aaaf70130106e45f329823bb7383b288fae7bf4de131e0edb182e39d87d3027018"></a>B_9600&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aaaf70130106e45f329823bb7383b288fa4ecf44e3017ea2b99239d127250289d1" name="aaaf70130106e45f329823bb7383b288fa4ecf44e3017ea2b99239d127250289d1"></a>B_19200&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aaaf70130106e45f329823bb7383b288faba0b508458bf2a54509bb8a20478ca93" name="aaaf70130106e45f329823bb7383b288faba0b508458bf2a54509bb8a20478ca93"></a>B_38400&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aaaf70130106e45f329823bb7383b288fa499f4f816c2ffec705d374891bc6eb51" name="aaaf70130106e45f329823bb7383b288fa499f4f816c2ffec705d374891bc6eb51"></a>B_57600&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aaaf70130106e45f329823bb7383b288fae5aff27725ed62df17a9d52c9435d0d5" name="aaaf70130106e45f329823bb7383b288fae5aff27725ed62df17a9d52c9435d0d5"></a>B_115200&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aaaf70130106e45f329823bb7383b288fa9ec9266a076b069458fcabcac21f748f" name="aaaf70130106e45f329823bb7383b288fa9ec9266a076b069458fcabcac21f748f"></a>B_230400&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definicja w linii <a class="el" href="transparam_8hh_source.html#l00026">26</a> pliku <a class="el" href="transparam_8hh_source.html">transparam.hh</a>.</p>

</div>
</div>
<a id="ad43ec836453f31ea6160c8ec311a9d90" name="ad43ec836453f31ea6160c8ec311a9d90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad43ec836453f31ea6160c8ec311a9d90">&#9670;&#160;</a></span>Type4CharacterSize</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90">Type4CharacterSize</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Pozwala na ustawienie rozmiaru transmitowanego znaku. </p>
<table class="fieldtable">
<tr><th colspan="2">Wartości wyliczeń</th></tr><tr><td class="fieldname"><a id="ad43ec836453f31ea6160c8ec311a9d90ae8764489eb63e8cfa4e79d91e26f90a3" name="ad43ec836453f31ea6160c8ec311a9d90ae8764489eb63e8cfa4e79d91e26f90a3"></a>CS_5&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad43ec836453f31ea6160c8ec311a9d90a1625f022daa414fd47e25c90eff82460" name="ad43ec836453f31ea6160c8ec311a9d90a1625f022daa414fd47e25c90eff82460"></a>CS_6&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad43ec836453f31ea6160c8ec311a9d90a83bba2f5593a571fa5bcadb504f035cd" name="ad43ec836453f31ea6160c8ec311a9d90a83bba2f5593a571fa5bcadb504f035cd"></a>CS_7&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad43ec836453f31ea6160c8ec311a9d90aca6d77a969cda9a7d5b3764645230ca8" name="ad43ec836453f31ea6160c8ec311a9d90aca6d77a969cda9a7d5b3764645230ca8"></a>CS_8&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definicja w linii <a class="el" href="transparam_8hh_source.html#l00054">54</a> pliku <a class="el" href="transparam_8hh_source.html">transparam.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji</h2>
<a id="adae5ef433c18e71af7b1a18cd4c107e6" name="adae5ef433c18e71af7b1a18cd4c107e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adae5ef433c18e71af7b1a18cd4c107e6">&#9670;&#160;</a></span>SetTransParam()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool SetTransParam </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>PortDesc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288f">Type4BaudRate</a>&#160;</td>
          <td class="paramname"><em>BRate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237">Type4Parity</a>&#160;</td>
          <td class="paramname"><em>Parity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90">Type4CharacterSize</a>&#160;</td>
          <td class="paramname"><em>CSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Ustawianie parametrów transmisji </p>

<p class="definition">Definicja w linii <a class="el" href="transparam_8cpp_source.html#l00133">133</a> pliku <a class="el" href="transparam_8cpp_source.html">transparam.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="transparam_8hh_adae5ef433c18e71af7b1a18cd4c107e6_cgraph.png" border="0" usemap="#atransparam_8hh_adae5ef433c18e71af7b1a18cd4c107e6_cgraph" alt=""/></div>
<map name="atransparam_8hh_adae5ef433c18e71af7b1a18cd4c107e6_cgraph" id="atransparam_8hh_adae5ef433c18e71af7b1a18cd4c107e6_cgraph">
<area shape="rect" title="Ustawianie parametrów transmisji." alt="" coords="5,80,119,105"/>
<area shape="rect" href="transparam_8cpp.html#a7585c6873219f5b0cae001b4e95a60af" title=" " alt="" coords="167,5,367,31"/>
<area shape="poly" title=" " alt="" coords="84,78,122,58,166,40,190,32,192,37,168,44,124,63,87,82"/>
<area shape="rect" href="transparam_8cpp.html#a0728e8853a57cc2290d9739c1108d2fc" title=" " alt="" coords="173,55,361,80"/>
<area shape="poly" title=" " alt="" coords="119,83,159,78,160,83,119,88"/>
<area shape="rect" href="transparam_8cpp.html#ad26bdc052d530d02b4353582e1d9568b" title=" " alt="" coords="171,104,362,129"/>
<area shape="poly" title=" " alt="" coords="119,97,158,101,157,107,119,102"/>
<area shape="rect" href="transparam_8cpp.html#acb0647d46d75d5baa3508f59750fd510" title=" " alt="" coords="167,153,366,179"/>
<area shape="poly" title=" " alt="" coords="89,103,168,138,196,147,195,152,166,143,86,108"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="transparam_8hh_adae5ef433c18e71af7b1a18cd4c107e6_icgraph.png" border="0" usemap="#atransparam_8hh_adae5ef433c18e71af7b1a18cd4c107e6_icgraph" alt=""/></div>
<map name="atransparam_8hh_adae5ef433c18e71af7b1a18cd4c107e6_icgraph" id="atransparam_8hh_adae5ef433c18e71af7b1a18cd4c107e6_icgraph">
<area shape="rect" title="Ustawianie parametrów transmisji." alt="" coords="728,31,841,56"/>
<area shape="rect" href="class_serial_port.html#ab8617347c0bd495e80d39e563ec8e750" title="Otwiera port szeregowy." alt="" coords="504,5,680,31"/>
<area shape="poly" title=" " alt="" coords="714,37,680,32,681,27,715,32"/>
<area shape="rect" href="odbieranie_8cpp.html#a8ba1cb8263e0f85250d2dbd1fb60e825" title=" " alt="" coords="545,55,639,80"/>
<area shape="poly" title=" " alt="" coords="715,55,639,64,639,59,714,49"/>
<area shape="rect" href="class_main_window.html#a31824aa1482e54ed17467596c8b3bb24" title="Rozpoczyna komunikację z portem szeregowym." alt="" coords="229,5,456,31"/>
<area shape="poly" title=" " alt="" coords="490,21,456,21,456,15,490,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,181,21,181,15,216,15"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="transparam_8hh.html">transparam.hh</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
